%define name 		oooqs
%define version 	2.0.3
%define release 	2mdk

Summary: 		A KDE quickstarter applet for OpenOffice.org.
Name: 			%name
Version: 		%version
Release: 		%release
Source: 		http://download.berlios.de/segfaultskde/%name-%{version}.tar.bz2
Source1:		oooqsrc
Group: 			Office
License: 		GPL
URL: 			http://segfaultskde.berlios.de/oooqs
Buildrequires:		libqt-devel
Requires:		OpenOffice.org
BuildRoot: 		%_tmppath/%{name}-%{version}-buildroot

%description
OpenOffice.org Quickstarter is a small application that runs in the KDE 
SystemTray. It is used to quickly start the different OpenOffice.org 
modules without having to go through the K-Menu.

Note that you need at least 128MB of ram to find this usable, especially
if you are going to enable the Quick-start mode of OpenOffice.org.

Due to session-management issues, getting the quickstarter to work reliably
is a bit tricky, Here is how you should use it:
1)Start OpenOffice.org at least once from the menus
2)Start the quickstarter (Office->Accessories->OpenOffice.org Quickstarter)
3)Logout of KDE and save your session
4)Log in, and enable the quick-start mode (Right-click on the quick-starter
  icon in kicker->Configure->Advanced, Check the quick-start mode, Click OK)
5)Log out of KDE, and choose not to save your session.
In future, any time you want to save your KDE session, first disable the
quick-start mode, ensure no copies of OpenOffice.org are running, and then log
out.

%prep

%setup -q 

%build 

export QTDIR=%{_libdir}/qt3
export KDEDIR=%{_prefix}

./configure --enable-mt --with-qt-dir=/usr/lib/qt3 --disable-debug \
	--prefix=%{_prefix} --disable-rpath --libdir=%{_libdir}

%make

%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=%buildroot install

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl oooqs Office/Accessories %buildroot/%_datadir/applnk/Utilities/oooqs.desktop %buildroot/%_menudir/oooqs
mkdir -p %{buildroot}/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install src/hi16-app-oooqs.png %{buildroot}/%{_miconsdir}/oooqs.png
install src/hi32-app-oooqs.png %{buildroot}/%{_iconsdir}/oooqs.png
install src/hi48-app-oooqs.png %{buildroot}/%{_liconsdir}/oooqs.png
mkdir -p %{buildroot}/%{_datadir}/config/
install -m644 %{SOURCE1} %{buildroot}/%{_datadir}/config/
find %{buildroot}/%{_datadir}/icons -name '*.xpm' -exec rm -f {} \;

#Fix help symlink:
for i in en de; do 
  mkdir -p %{buildroot}/%{_datadir}/doc/HTML/$i/common
( cd %{buildroot}/%{_datadir}/doc/HTML/$i/oooqs/
ln -sf ../common
)
done

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_menudir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/64x64/apps/*.png
%{_datadir}/applnk/Utilities/oooqs.desktop
%{_datadir}/autostart/*
%config(noreplace) %{_datadir}/config/oooqsrc

%changelog
* Mon Mar 01 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.3-2mdk
- Update default config for 2.0.x (bug 8516)

* Fri Nov 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.3-1mdk
- 2.0.3

* Tue May 27 2003 Lenny Cartier <lenny@mandrakesoft.com 1.0-0.rc3.4mdk
- adjust files list

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com 1.0-0.rc3.3mdk
- buildrequires

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.0-0.rc3.2mdk
- rebuild

* Wed Jan 22 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-0.rc3.1mdk
- rc3
- Don't kmessage on every action (patch0)
- Supply default config

* Thu Sep 06 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-0.rc2.1mdk
- 1.0rc2

* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.5.1-3mdk
- rebuild

* Fri Jul 12 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.9.5.1-2mdk
- Add French translations of 'oooqs.desktop' file.
- Fix some bugs on installation files and KDE menu icon.

* Thu Jul 11 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.9.5.1-1mdk
- Original release with the French GUI Translations.
